@echo off

echo.
echo Setting environment for MSYS2 MinGW Gnu Debugger

:: Check if called already
:: if yes, check if called from here - exit, in any other case 
:: raise warning and reset env vars
if not "%GDB_MAIN_DIR %" == "" (
	echo.
	if "%GDB_MAIN_DIR %" == "%~dp0" (
	   echo Information: batch was called already from "%GDB_MAIN_DIR %"
	   echo              skipping environment setting...
	   goto :gdbver
	) else (
	   echo Warning: batch was called before from "%GDB_MAIN_DIR %"
	   echo.         
	)
)

:: Get the main dir from the batch's position 
:: (only works in Windows NT environments or higher)
set GDB_MAIN_DIR =%~dp0

:: Add the bin path of Gnu Debugger to PATH for further references
set PATH=%GDB_MAIN_DIR %bin;%PATH%

:: Gnu Debugger Version output
:gdbver
echo.
:: new cmd to stay open if not started directly from cmd.exe window 
echo %cmdcmdline% | find /i "%~0" >nul
if %errorlevel% equ 0 (
  cmd /k "gdb.exe --version"
) else (
  gdb.exe --version
)
echo. 

